#WordPress でadd_contextual_helpの警告メッセージ

会社のWordPessで作成したサイトで、管理ページに入ると

Notice: add_contextual_help の使用はバージョン 3.3 から非推奨
になっています! 代わりに get_current_screen()->add_help_tab() を使ってください。

という警告メッセージが出ている。ずっと出ていたが、ユーザーがアクセスするページには出ていなかったので放って置いた。

やはり、このままだとまずいので調べてみた。

add_contextual_helpをgrepでかけてみる。他のWordPressでもテーマでadd_contextual_helpは使っている。だめちゃん。

結局、WP_DEBUGをfalseにして、警告メッセージを出さないようにしておいた。